たむらです。

matz / zetabits.com wrote:


> まつもと ゆきひろです
> 
> In message "[ruby-ext:01778] Re: Ruby/SDL on PS2 LinuxKit"
>     on 01/06/25, WATANABE Hirofumi <eban / os.rim.or.jp> writes:
> 
> |このテクニックは結構多用されてるんじゃないかな?
> 
> すいません。(_ _)

require 'foo' の検索順番が、
以前:foo.rb -> foo.so
だったのが、
現在:foo.so -> foo.rb
にセキュリティ対策のため変更になったということですね。

拡張ライブラリを利用してるスクリプトはかなり書き換えを必要とするでしょうね。

これは、ruby-listでもアナウンスするとか、再リリースする方が、
良いのでは ?
# 決定なんですよね